/////////////////////////////////////////////////
//
// MUSE Header for .WL6
// Created Tue Jul 14 15:04:53 1992
//
/////////////////////////////////////////////////

//
// Sound names & indexes
//
typedef enum {
	HITWALLSND,              // 0
	SELECTWPNSND,            // 1
	SELECTITEMSND,           // 2
	HEARTBEATSND,            // 3
	MOVEGUN2SND,             // 4
	MOVEGUN1SND,             // 5
	NOWAYSND,                // 6
	NAZIHITPLAYERSND,        // 7
	SCHABBSTHROWSND,         // 8
	PLAYERDEATHSND,          // 9
	DOGDEATHSND,             // 10               //17//
	ATKGATLINGSND,           // 11               //07//MP18 Player Fire
	GETKEYSND,               // 12
	NOITEMSND,               // 13
	WALK1SND,                // 14
	WALK2SND,                // 15
	TAKEDAMAGESND,           // 16               //15//
	GAMEOVERSND,             // 17
	OPENDOORSND,             // 18               //04//
	CLOSEDOORSND,            // 19               //03//
	DONOTHINGSND,            // 20
	HALTSND,                 // 21               //01//
	DEATHSCREAM2SND,         // 22               //14//
	ATKKNIFESND,             // 23
	ATKPISTOLSND,            // 24               //06//Gew98 Player Fire
	DEATHSCREAM3SND,         // 25
	ATKMACHINEGUNSND,        // 26               //05//Luger Fire
	HITENEMYSND,             // 27
	SHOOTDOORSND,            // 28
	DEATHSCREAM1SND,         // 29               //13//
	GETMACHINESND,           // 30
	GETAMMOSND,              // 31
	SHOOTSND,                // 32
	HEALTH1SND,              // 33
	HEALTH2SND,              // 34
	BONUS1SND,               // 35
	BONUS2SND,               // 36
	BONUS3SND,               // 37
	GETGATLINGSND,           // 38
	ESCPRESSEDSND,           // 39
	LEVELDONESND,            // 40               //31//
	DOGBARKSND,              // 41               //02//Soldier Fire Gew98
	ENDBONUS1SND,            // 42
	ENDBONUS2SND,            // 43
	BONUS1UPSND,             // 44
	BONUS4SND,               // 45
	PUSHWALLSND,             // 46               //16//
	NOBONUSSND,              // 47
	PERCENT100SND,           // 48
	BOSSACTIVESND,           // 49
	MUTTISND,                // 50               //10//
	SCHUTZADSND,             // 51               //08//
	AHHHGSND,                // 52               //18//
	DIESND,                  // 53               //19//
	EVASND,                  // 54               //20//
	GUTENTAGSND,             // 55               //09//
	LEBENSND,                // 56               //21//
	SCHEISTSND,              // 57               //34//
	NAZIFIRESND,             // 58               //22//
	BOSSFIRESND,             // 59               //11//Final Boss/MG08 Machine Gunner Attack/Fire
	SSFIRESND,               // 60               //12//MP18 Stormtrooper Fire
	SLURPIESND,              // 61               //23//
	TOT_HUNDSND,             // 62               //24//
	MEINGOTTSND,             // 63               //25//
	SCHABBSHASND,            // 64               //26//
	HITLERHASND,             // 65               //27//
	SPIONSND,                // 66               //28//
	NEINSOVASSND,            // 67               //29//
	DOGATTACKSND,            // 68               //30//Flamethrower Attack
	FLAMETHROWERSND,         // 69
	MECHSTEPSND,             // 70               //32//
	GOOBSSND,                // 71
	YEAHSND,                 // 72               //33//
#ifndef APOGEE_1_0
	DEATHSCREAM4SND,         // 73               //35//
	DEATHSCREAM5SND,         // 74               //36//
	DEATHSCREAM6SND,         // 75               //40//
	DEATHSCREAM7SND,         // 76               //41//
	DEATHSCREAM8SND,         // 77               //42//
	DEATHSCREAM9SND,         // 78               //43//
	DONNERSND,               // 79               //37//
	EINESND,                 // 80               //38//
	ERLAUBENSND,             // 81               //39//
	KEINSND,                 // 82               //44//
	MEINSND,                 // 83               //45//gun clip-reload Gew 98
	ROSESND,                 // 84               //46//gun cock-clip reload MP18/Luger
	MISSILEFIRESND,          // 85
	MISSILEHITSND,           // 86
    AMBIN01SND,                                  //47//not used
#endif
	LASTSOUND
} soundnames;

//
// Base offsets
//
#define STARTPCSOUNDS		0
#define STARTADLIBSOUNDS	LASTSOUND
#define STARTDIGISOUNDS		(2*LASTSOUND)
#define STARTMUSIC		    (3*LASTSOUND)

//
// Music names & indexes
//
typedef enum {
	CORNER_MUS,              // 0                tommorrow today
	DUNGEON_MUS,             // 1
	WARMARCH_MUS,            // 2                12th warrior
	GETTHEM_MUS,             // 3                squadron Standby
	HEADACHE_MUS,            // 4
	HITLWLTZ_MUS,            // 5
	INTROCW3_MUS,            // 6                trailblazer
	NAZI_NOR_MUS,            // 7                long journey home
	NAZI_OMI_MUS,            // 8                great river race
	POW_MUS,                 // 9                sinister maze
	SALUTE_MUS,              // 10               chaos warrior
	SEARCHN_MUS,             // 11               lottyr lady of the hells
	SUSPENSE_MUS,            // 12               alchemist
	VICTORS_MUS,             // 13
	WONDERIN_MUS,            // 14               12th warrior
	FUNKYOU_MUS,             // 15
	ENDLEVEL_MUS,            // 16
	GOINGAFT_MUS,            // 17
	PREGNANT_MUS,            // 18
	ULTIMATE_MUS,            // 19
	NAZI_RAP_MUS,            // 20
	ZEROHOUR_MUS,            // 21
	TWELFTH_MUS,             // 22
	ROSTER_MUS,              // 23               a presence in the air
	URAHERO_MUS,             // 24
	VICMARCH_MUS,            // 25
	PACMAN_MUS,              // 26
	LASTMUSIC
} musicnames;

#define NUMSOUNDS		    LASTSOUND
#define NUMSNDCHUNKS		(STARTMUSIC + LASTMUSIC)

/////////////////////////////////////////////////
//
// Thanks for playing with MUSE!
//
/////////////////////////////////////////////////
